> ## Documentation Index
> Fetch the complete documentation index at: https://quartr.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List live events



## OpenAPI

````yaml https://api.quartr.com/public/v3/openapi.json get /public/v3/live
openapi: 3.0.0
info:
  title: Quartr Public API
  description: The Quartr Public API
  version: '3.0'
  contact: {}
servers:
  - url: https://api.quartr.com
security: []
tags:
  - name: Companies
    description: ''
  - name: Events
    description: ''
  - name: Event Types
    description: ''
  - name: Documents
    description: ''
  - name: Document Types
    description: ''
  - name: Reports
    description: ''
  - name: Slides
    description: ''
  - name: Transcripts
    description: ''
  - name: Backlog Audio
    description: ''
  - name: Live
    description: ''
  - name: Live Audio
    description: ''
  - name: Live Transcripts
    description: ''
paths:
  /public/v3/live:
    get:
      tags:
        - Live
      summary: List live events
      operationId: LiveControllerV3_getLivePaginated
      parameters:
        - name: countries
          required: false
          in: query
          description: Comma-separated list of country codes (ISO 3166-1 alpha-2)
          schema:
            example: US,CA
            type: string
        - name: exchanges
          required: false
          in: query
          description: Exchange symbols, without blankspace, to filter by.
          schema:
            example: NasdaqCM,NasdaqGS,NYSE
            type: string
        - name: tickers
          required: false
          in: query
          description: Comma-separated list of company tickers
          schema:
            example: AAPL,AMZN
            type: string
        - name: limit
          required: false
          in: query
          description: The maximum number of items to return in a single request.
          schema:
            minimum: 1
            maximum: 500
            default: 10
            example: 10
            type: number
        - name: cursor
          required: false
          in: query
          description: >-
            A unique identifier pointing to the starting position for the next
            set of results.
          schema:
            minimum: 0
            default: 0
            example: 2432
            type: number
        - name: direction
          required: false
          in: query
          description: The direction of the sort order (id field).
          schema:
            default: asc
            example: asc
            enum:
              - asc
              - desc
            type: string
        - name: isins
          required: false
          in: query
          description: Comma-separated list of ISINs
          schema:
            example: US0378331005,US0231351067
            type: string
        - name: ciks
          required: false
          in: query
          description: Comma-separated list of CIKs (SEC Central Index Keys)
          schema:
            example: 0000320193,0001018724
            type: string
        - name: companyIds
          required: false
          in: query
          description: Comma-separated list of company IDs
          schema:
            example: 4024,5025,6026
            type: string
        - name: eventIds
          required: false
          in: query
          description: Comma-separated list of event IDs
          schema:
            example: 4042,8934,16342
            type: string
        - name: states
          required: false
          in: query
          description: |2-

                - notLive
                - willBeLive
                - live
                - liveFailedInterrupted
                - liveFailedNoAccess
                - liveFailedNotStarted
                - processingRecording
                - processingRecordingFailed
                - recordingAvailable
                
          schema:
            example: willBeLive,live
            type: string
        - name: transcriptVersion
          required: false
          in: query
          description: The version of the live transcript stream
          schema:
            default: '1.6'
            example: '1.6'
            enum:
              - '1.6'
              - '1.7'
            type: string
        - name: endDate
          required: false
          in: query
          description: The end date (ISO 8601)
          schema:
            example: '2025-01-10T13:00:00Z'
            type: string
        - name: startDate
          required: false
          in: query
          description: The start date (ISO 8601)
          schema:
            example: '2024-12-12T15:00:00Z'
            type: string
        - name: updatedBefore
          required: false
          in: query
          description: Query data that was updated before this date (ISO 8601)
          schema:
            example: '2024-01-24T12:00:00Z'
            type: string
        - name: updatedAfter
          required: false
          in: query
          description: Query data that was updated after this date (ISO 8601)
          schema:
            example: '2025-01-12T15:00:00Z'
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedLiveResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Bad Request
                    type: string
                  message:
                    items:
                      properties:
                        field:
                          example: country
                          type: string
                        message:
                          example: country must be a valid ISO31661 Alpha2 code
                          type: string
                      type: object
                    type: array
                  statusCode:
                    example: 400
                    type: number
                type: object
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Unauthorized
                    type: string
                  statusCode:
                    example: 401
                    type: number
                type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Forbidden
                    type: string
                  statusCode:
                    example: 403
                    type: number
                type: object
      security:
        - apiKey: []
components:
  schemas:
    PaginatedLiveResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/LiveDto'
        pagination:
          $ref: '#/components/schemas/CursorPagination'
      required:
        - data
        - pagination
    LiveDto:
      type: object
      properties:
        id:
          type: number
          example: 127537
        eventId:
          type: number
          example: 128301
        companyId:
          type: number
          example: 4742
        date:
          format: date-time
          type: string
          example: '2021-09-15T15:00:00.000Z'
        updatedAt:
          format: date-time
          type: string
          example: '2021-09-15T15:02:00.000Z'
        createdAt:
          format: date-time
          type: string
          example: '2021-05-15T15:00:00.000Z'
        wentLiveAt:
          format: date-time
          type: string
          example: '2021-09-15T15:02:00.000Z'
        state:
          type: string
          example: recordingAvailable
        audio:
          type: string
          example: https://quartr.com/file.mp3
        transcript:
          type: string
          example: https://quartr.com/file.json
      required:
        - id
        - eventId
        - companyId
        - date
        - updatedAt
        - createdAt
    CursorPagination:
      type: object
      properties:
        nextCursor:
          type: number
          nullable: true
          description: >-
            A unique identifier indicating the position to continue fetching the
            next set of results in subsequent requests.
          example: 10
      required:
        - nextCursor
  securitySchemes:
    apiKey:
      in: header
      name: x-api-key
      type: apiKey

````